extends Node

signal level_loaded()
signal terminal_activated(timer_seconds)
signal remaining_time_changed(remaining_seconds)
signal getback_timer_up()
signal currency_updated()
signal kills_updated()
signal frees_updated()
signal player_died(animation_number)
# TODO The persisting process could be cancelled when the level is unloaded
signal level_completed()
signal power_up_collected(kind)
signal got_stomped()
signal unlocked(key)
signal savemanager_saved()
signal game_paused(value)

func _on_Timer_timeout() -> void:
  emit_signal("getback_timer_up")
